Magick++ 7.0.10

Public Member Functions | List of all members
Magick::PathArcArgs Class Reference

`#include <Drawable.h>`

## Public Member Functions
| PathArcArgs (void)
| PathArcArgs (double radiusX_, double radiusY_, double xAxisRotation_, bool largeArcFlag_, bool sweepFlag_, double x_, double y_)
| PathArcArgs (const PathArcArgs &original_)
| ~PathArcArgs (void)
void | radiusX (double radiusX_)
double | radiusX (void) const
void | radiusY (double radiusY_)
double | radiusY (void) const
void | xAxisRotation (double xAxisRotation_)
double | xAxisRotation (void) const
void | largeArcFlag (bool largeArcFlag_)
bool | largeArcFlag (void) const
void | sweepFlag (bool sweepFlag_)
bool | sweepFlag (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Detailed Description

Definition at line 2354 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathArcArgs() [1/3]

Magick::PathArcArgs::PathArcArgs | ( | void |  | ) |

Definition at line 1789 of file Drawable.cpp.

## ◆ PathArcArgs() [2/3]

Magick::PathArcArgs::PathArcArgs | ( | double | radiusX_,
|  | double | radiusY_,
|  | double | xAxisRotation_,
|  | bool | largeArcFlag_,
|  | bool | sweepFlag_,
|  | double | x_,
|  | double | y_
| ) |  |

Definition at line 1800 of file Drawable.cpp.

## ◆ PathArcArgs() [3/3]

Magick::PathArcArgs::PathArcArgs | ( | const PathArcArgs & | original_ | ) |

Definition at line 1813 of file Drawable.cpp.

## ◆ ~PathArcArgs()

Magick::PathArcArgs::~PathArcArgs | ( | void |  | ) |

Definition at line 1824 of file Drawable.cpp.

## Member Function Documentation

## ◆ largeArcFlag() [1/2]

void Magick::PathArcArgs::largeArcFlag | ( | bool | largeArcFlag_ | ) |
| inline

Definition at line 2394 of file Drawable.h.

## ◆ largeArcFlag() [2/2]

bool Magick::PathArcArgs::largeArcFlag | ( | void |  | ) | const
| inline

Definition at line 2398 of file Drawable.h.

## ◆ radiusX() [1/2]

void Magick::PathArcArgs::radiusX | ( | double | radiusX_ | ) |
| inline

Definition at line 2367 of file Drawable.h.

## ◆ radiusX() [2/2]

double Magick::PathArcArgs::radiusX | ( | void |  | ) | const
| inline

Definition at line 2371 of file Drawable.h.

## ◆ radiusY() [1/2]

void Magick::PathArcArgs::radiusY | ( | double | radiusY_ | ) |
| inline

Definition at line 2376 of file Drawable.h.

## ◆ radiusY() [2/2]

double Magick::PathArcArgs::radiusY | ( | void |  | ) | const
| inline

Definition at line 2380 of file Drawable.h.

## ◆ sweepFlag() [1/2]

void Magick::PathArcArgs::sweepFlag | ( | bool | sweepFlag_ | ) |
| inline

Definition at line 2403 of file Drawable.h.

## ◆ sweepFlag() [2/2]

bool Magick::PathArcArgs::sweepFlag | ( | void |  | ) | const
| inline

Definition at line 2407 of file Drawable.h.

## ◆ x() [1/2]

void Magick::PathArcArgs::x | ( | double | x_ | ) |
| inline

Definition at line 2412 of file Drawable.h.

## ◆ x() [2/2]

double Magick::PathArcArgs::x | ( | void |  | ) | const
| inline

Definition at line 2416 of file Drawable.h.

## ◆ xAxisRotation() [1/2]

void Magick::PathArcArgs::xAxisRotation | ( | double | xAxisRotation_ | ) |
| inline

Definition at line 2385 of file Drawable.h.

## ◆ xAxisRotation() [2/2]

double Magick::PathArcArgs::xAxisRotation | ( | void |  | ) | const
| inline

Definition at line 2389 of file Drawable.h.

## ◆ y() [1/2]

void Magick::PathArcArgs::y | ( | double | y_ | ) |
| inline

Definition at line 2421 of file Drawable.h.

## ◆ y() [2/2]

double Magick::PathArcArgs::y | ( | void |  | ) | const
| inline

Definition at line 2425 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp